Subject: [nemo] Nemo IPR / Cisco

From: "T.J. Kniveton" <[email-masked]>
Date: Tue, 28 Oct 2003 19:16:08 -0800

Hi folks,

Thierry and I sent some questions to Cisco attorneys about their IPR with
respect to NEMO. I want to share the results of that inquiry. Also, note
that Cisco was issued patent 6636498 last week.

Please go to www.uspto.gov and look up this patent and familiarize yourself
with it. Also, please take a moment to read Cisco's response, and form an
opinion about these IPR issues and how Cisco's and Nokia's IPR licensing
policies will effect our NEMO work.

It would be highly encouraged to start a dialog on the list before the IETF,
so we can process people's comments and opinions.

----
>> [These are our questions]

> [These are Cisco's responses]

>> The NEMO working group members are concerned about the claims of
>> Intellectual Property regarding the NEMO specification, and would like
>> more information about the specific claims as well as licensing terms
>> proposed by Cisco. Please keep in mind that any response to
>> this letter
>> will be deemed public information and may be shared with the
>> NEMO working
>> group.
>> 
>> Here are the questions which remain open; any information you could
>> provide regarding this matter will be appreciated.
>> 
>> 1.    What is(are) the status of the patent application or
>> applications
>> mentioned in your IPR disclosure:
>> http://ietf.org/ietf/IPR/cisco-ipr-draft-ietf-nemo-basic-support.txt?
> 
> One application issued last week as US Patent No.  6,636,498. Other
> applications are pending in the US Patent Office.
> 
> 
>> a.    Is the application(s) published, and if so what is(are)
>> the publication
>> number/application number(s) of the patent application(s)?
> 
> The pending applcations have not been published.
> 
>> b.    Does your disclosure relate to an unpublished pending patent
>> application(s)?
> 
> The pending applications have not been published.
> 
> 
>> c.    What countries has(have) these applications been filed
>> in, and on what
>> dates?
> 
> In the United States. The filing dates of the unpublished applications are
> confidential.
> 
> 
>> 2.    Are you willing to amend the licensing terms of your
>> IPR disclosure?
> 
> We believe the IPR disclosure is in compliance with IETF IPR rules,
> including RFC 2026. If you disagree please let me know.
> 
> 
>> a.    Would you be willing to match your licensing terms in
>> the direction of
>> what is currently the only other IPR disclosure for the same draft
>> (http://ietf.org/ietf/IPR/nokia-ipr-draft-ietf-nemo-basic-supp
>> ort.txt)?
> 
> No, we cannot do so without assurances from IETF that the licensing terms in
> this disclosure are nondiscriminatory.
> 
> 
>> 3.    If you can not give publication number(s) of the
>> application(s), what
>> parts of the NEMO-basic-support Internet Draft are affected by your
>> disclosure
>> 
>> In all cases, we request that you state which sections are
>> affected by the
>> disclosure. This was a concern clearly raised amongst the
>> working group
>> members at the last IETF meeting.
> 
> The following sections are affected:
> 
> Section 4 - Message formats
> Section 5.2 -  Implicit, Implicit Network, and Explicit Prefix Length;
> (3 Modes of Mobile Router operation)
> Section 6.4 - Bi-directional tunnel
> Section 6.5 - forwarding packets
> Section 6.7 - De-registration
> Section 7 - Dynamic routing protocols (e.g., routing protocol updates)
>